package agilpizza;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

import agilpizza.selenium.SeleniumTestCase;

public class ListaDeIngredientesTest extends SeleniumTestCase {

	@Before
	public void entrarNaPagina() {
		sel.open(CONTEXTO);
		sel.clickAndWait("listaDeIngredientes");
	}

	@Test
	public void testTemPreco() {
		assertTrue(sel.isTextPresent("(R$ 3.0)"));
	}

	@Test
	public void testCategorias() {
		assertTrue(sel.isTextPresent("Carnes"));
		assertTrue(sel.isTextPresent("Queijos"));
		assertTrue(sel.isTextPresent("Vegetais"));
		assertTrue(sel.isTextPresent("Outros"));
	}
	
	@Test
	public void testIngredientes() {
		assertTrue(sel.isTextPresent("Calabresa"));
		assertTrue(sel.isTextPresent("Muzzarela"));
		assertTrue(sel.isTextPresent("Rúcula"));
		assertTrue(sel.isTextPresent("Orégano"));
	}

}
